/*-------------------------------------------------------------------------*
 *
 * Peripheral.h
 *  This file defines the Peripheral API.
 *
 * Copyright 1997-2000 Research In Motion Limited.  All Rights Reserved
 *-------------------------------------------------------------------------*/

#ifndef __PERIPHERAL_H
#define __PERIPHERAL_H

#ifdef __cplusplus
extern "C" {
#endif

BOOL _cdecl PeripheralRegister(void);
BOOL _cdecl PeripheralUnregister(void);
TASK _cdecl PeripheralGetOwner(void);
int _cdecl PeripheralGetId(void);

int _cdecl PeripheralPowerSupply(int iMode);

#define PER_POWER_QUERY         -1
#define PER_POWER_OFF           0
#define PER_POWER_ON            1

int _cdecl PeripheralStatusControl(int iMode);

#define PER_SC_QUERY_LATCH      -2
#define PER_SC_QUERY_STATUS     -1
#define PER_SC_LATCH_OFF        0
#define PER_SC_LATCH_ON         1

#ifdef __cplusplus
}
#endif

#endif  /* __PERIPHERAL_H */
